VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::Cdrom Interface Reference

The `Cdrom` interface provides methods for configuring the virtual CD-ROM devices of a virtual machine. More...

Inherited by vmware::vcenter::vm::hardware::CdromStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.CdromTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.CdromTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.CdromTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.CdromTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.
vmware.vcenter.vm.hardware.CdromTypes.Info | Get (string vm, string cdrom)
| Returns information about a virtual CD-ROM device.
vmware.vcenter.vm.hardware.CdromTypes.Info | Get (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual CD-ROM device.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.CdromTypes.Info > | GetAsync (string vm, string cdrom)
| Returns information about a virtual CD-ROM device.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.CdromTypes.Info > | GetAsync (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual CD-ROM device.
string | Create (string vm, vmware.vcenter.vm.hardware.CdromTypes.CreateSpec spec)
| Adds a virtual CD-ROM device to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.CdromTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual CD-ROM device to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.CdromTypes.CreateSpec spec)
| Adds a virtual CD-ROM device to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.CdromTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual CD-ROM device to the virtual machine.
void | Update (string vm, string cdrom, vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec spec)
| Updates the configuration of a virtual CD-ROM device.
void | Update (string vm, string cdrom, vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual CD-ROM device.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string cdrom, vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec spec)
| Updates the configuration of a virtual CD-ROM device.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string cdrom, vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual CD-ROM device.
void | Delete (string vm, string cdrom)
| Removes a virtual CD-ROM device from the virtual machine.
void | Delete (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual CD-ROM device from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string cdrom)
| Removes a virtual CD-ROM device from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual CD-ROM device from the virtual machine.
void | Connect (string vm, string cdrom)
| Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.
void | Connect (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string cdrom)
| Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.
void | Disconnect (string vm, string cdrom)
| Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.
void | Disconnect (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string cdrom)
| Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.

## Detailed Description

The `Cdrom` interface provides methods for configuring the virtual CD-ROM devices of a virtual machine.

## Member Function Documentation

void vmware::vcenter::vm::hardware::Cdrom::Connect | ( | string | vm,
|  | string | cdrom
| ) |  |

Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

void vmware::vcenter::vm::hardware::Cdrom::Connect | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::ConnectAsync | ( | string | vm,
|  | string | cdrom
| ) |  |

Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::ConnectAsync | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Connects a virtual CD-ROM device of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

string vmware::vcenter::vm::hardware::Cdrom::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.CdromTypes.CreateSpec | spec
| ) |  |

Adds a virtual CD-ROM device to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the CD-ROM device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual CD-ROM device.

Returns:
  Virtual CD-ROM device identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

string vmware::vcenter::vm::hardware::Cdrom::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.CdromTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual CD-ROM device to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the CD-ROM device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual CD-ROM device.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual CD-ROM device identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::Cdrom::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.CdromTypes.CreateSpec | spec
| ) |  |

Adds a virtual CD-ROM device to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the CD-ROM device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual CD-ROM device.

Returns:
  Virtual CD-ROM device identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::Cdrom::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.CdromTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual CD-ROM device to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the CD-ROM device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual CD-ROM device.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual CD-ROM device identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

void vmware::vcenter::vm::hardware::Cdrom::Delete | ( | string | vm,
|  | string | cdrom
| ) |  |

Removes a virtual CD-ROM device from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

void vmware::vcenter::vm::hardware::Cdrom::Delete | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual CD-ROM device from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::DeleteAsync | ( | string | vm,
|  | string | cdrom
| ) |  |

Removes a virtual CD-ROM device from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::DeleteAsync | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual CD-ROM device from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual CD-ROM type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

void vmware::vcenter::vm::hardware::Cdrom::Disconnect | ( | string | vm,
|  | string | cdrom
| ) |  |

Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the CD-ROM device is not connected to its backing resource.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

void vmware::vcenter::vm::hardware::Cdrom::Disconnect | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the CD-ROM device is not connected to its backing resource.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::DisconnectAsync | ( | string | vm,
|  | string | cdrom
| ) |  |

Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the CD-ROM device is not connected to its backing resource.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::DisconnectAsync | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Disconnects a virtual CD-ROM device of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the CD-ROM device is not connected to its backing resource.

For a powered-off virtual machine, the Cdrom.Update method may be used to configure the virtual CD-ROM device to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual CD-ROM device is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

vmware.vcenter.vm.hardware.CdromTypes.Info vmware::vcenter::vm::hardware::Cdrom::Get | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual CD-ROM device.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

vmware.vcenter.vm.hardware.CdromTypes.Info vmware::vcenter::vm::hardware::Cdrom::Get | ( | string | vm,
|  | string | cdrom
| ) |  |

Returns information about a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Returns:
  Information about the specified virtual CD-ROM device.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.CdromTypes.Info> vmware::vcenter::vm::hardware::Cdrom::GetAsync | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual CD-ROM device.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.CdromTypes.Info> vmware::vcenter::vm::hardware::Cdrom::GetAsync | ( | string | vm,
|  | string | cdrom
| ) |  |

Returns information about a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Returns:
  Information about the specified virtual CD-ROM device.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.CdromTypes.Summary> vmware::vcenter::vm::hardware::Cdrom::List | ( | string | vm | ) |

Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual CD-ROM devices.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.CdromTypes.Summary> vmware::vcenter::vm::hardware::Cdrom::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual CD-ROM devices.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.CdromTypes.Summary> > vmware::vcenter::vm::hardware::Cdrom::ListAsync | ( | string | vm | ) |

Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual CD-ROM devices.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.CdromTypes.Summary> > vmware::vcenter::vm::hardware::Cdrom::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual CD-ROM devices belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual CD-ROM devices.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

void vmware::vcenter::vm::hardware::Cdrom::Update | ( | string | vm,
|  | string | cdrom,
|  | vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration of a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual CD-ROM device.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  spec | Specification for updating the virtual CD-ROM device.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

void vmware::vcenter::vm::hardware::Cdrom::Update | ( | string | vm,
|  | string | cdrom,
|  | vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec | spec
| ) |  |

Updates the configuration of a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual CD-ROM device.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  spec | Specification for updating the virtual CD-ROM device.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::UpdateAsync | ( | string | vm,
|  | string | cdrom,
|  | vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration of a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual CD-ROM device.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  spec | Specification for updating the virtual CD-ROM device.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::CdromStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::Cdrom::UpdateAsync | ( | string | vm,
|  | string | cdrom,
|  | vmware.vcenter.vm.hardware.CdromTypes.UpdateSpec | spec
| ) |  |

Updates the configuration of a virtual CD-ROM device.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual CD-ROM device is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual CD-ROM device.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | Virtual CD-ROM device identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  spec | Specification for updating the virtual CD-ROM device.

Implemented in vmware::vcenter::vm::hardware::CdromStub.

The documentation for this interface was generated from the following file:

- Cdrom.cs